Get Tool
curl --request GET \
--url https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots/{bot_uid}/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"type": "api_request",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"api_timeout": 123,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Tools
Get Tool
Retrieve details of a specific tool.
GET
/
v1
/
bots
/
{bot_uid}
/
tools
/
{tool_id}
Get Tool
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Path Parameters
The unique identifier of the bot.
The numeric ID of the tool.
Response
Tool details.
Unique numeric ID of the tool.
The type of tool that determines its behavior and required configuration.
Available options:
api_request, function, end_call, transfer_call, dtmf, send_sms, send_email, call_booking, check_calendar_availability, check_working_hours Was this page helpful?